> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beachdepository.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update FBO Account Address

> Update an existing FBO account address

Updates an address on an FBO account. Only provided fields are changed; at least one field must be supplied.

**Permission:** `fbo_accounts:update`

## Path parameters

<ParamField path="id" type="string" required>
  The FBO account ID
</ParamField>

<ParamField path="addressId" type="string" required>
  The address ID
</ParamField>

## Request body

<ParamField body="type" type="string">
  One of `return`, `billing`, or `alternate`
</ParamField>

<ParamField body="street" type="string">
  Updated street address
</ParamField>

<ParamField body="city" type="string">
  Updated city
</ParamField>

<ParamField body="state" type="string">
  Updated state or province
</ParamField>

<ParamField body="zip" type="string">
  Updated postal code
</ParamField>

<ParamField body="country" type="string">
  Updated country
</ParamField>

## Response

Returns the updated address.

```json theme={null}
{
  "data": {
    "id": "ja7addr123",
    "fboAccountId": "m97fbo456",
    "type": "return",
    "street": "456 Elm St",
    "city": "Austin",
    "state": "TX",
    "zip": "78701",
    "country": "US",
    "isActive": true,
    "updatedAt": 1709654321000,
    "createdAt": "2025-03-01T12:00:00Z"
  }
}
```

<Note>
  To retire an address, use [Delete FBO Account
  Address](/api-reference/fbo-accounts/delete-address).
</Note>
